#-------------------------------------------------
#
# Project created by QtCreator 2018-08-20T09:12:54
#
#-------------------------------------------------

QT      += core gui widgets concurrent

TARGET   = corehunt
TEMPLATE = app

VERSION  = 2.7.1

# Library section
unix:!macx: LIBS += -lcprime

# Disable warnings, enable threading support and c++11
CONFIG  += thread silent build_all c++11

# Definetion section
DEFINES += QT_DEPRECATED_WARNINGS
DEFINES += "HAVE_POSIX_OPENPT"

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR	      = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }
        BINDIR = $$PREFIX/bin

        target.path = $$BINDIR

        desktop.path = $$PREFIX/share/applications/
        desktop.files = "corehunt.desktop"

        icons.path = /usr/share/icons/hicolor/scalable/apps/
        icons.files = corehunt.svg

        INSTALLS += target icons desktop
}

FORMS += \
    corehunt.ui

HEADERS += \
    corehunt.h \
    coresearchmodel.h

SOURCES += \
    main.cpp \
    corehunt.cpp\
    coresearchmodel.cpp
